SoVRMLGeometry(3)

NAME
SoVRMLGeometry - The SoVRMLGeometry class is a superclass for VRML shapes.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLGeometry.h>

Inherits SoShape.

Inherited by SoVRMLBox, SoVRMLCone, SoVRMLCylinder, SoVRMLElevationGrid, SoVRMLExtrusion, SoVRMLSphere, SoVRMLText, SoVRMLVertexLine, SoVRMLVertexPoint, and SoVRMLVertexShape.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void search (SoSearchAction *action)
virtual void copyContents (const SoFieldContainer *from, SbBool copyConn)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoVRMLGeometry (void)
virtual ~SoVRMLGeometry ()
void setupShapeHints (SoState *state, const SbBool ccw, const SbBool solid)
virtual SbBool shouldGLRender (SoGLRenderAction *action)
virtual SoChildList * getChildren (void) const
virtual void notify (SoNotList *list)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLGeometry class is a superclass for VRML shapes.

Constructor & Destructor Documentation

  SoVRMLGeometry::SoVRMLGeometry (void) [protected]
Constructor.

  SoVRMLGeometry::~SoVRMLGeometry () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLGeometry::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLGeometry::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoShape.

Reimplemented in SoVRMLBox, SoVRMLCone, SoVRMLCylinder, SoVRMLElevationGrid, SoVRMLExtrusion, SoVRMLIndexedFaceSet, SoVRMLIndexedLine, SoVRMLIndexedLineSet, SoVRMLIndexedShape, SoVRMLPointSet, SoVRMLSphere, SoVRMLText, SoVRMLVertexLine, SoVRMLVertexPoint, and SoVRMLVertexShape.

  const SoFieldData ** SoVRMLGeometry::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLGeometry::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoShape.

Reimplemented in SoVRMLBox, SoVRMLCone, SoVRMLCylinder, SoVRMLElevationGrid, SoVRMLExtrusion, SoVRMLIndexedFaceSet, SoVRMLIndexedLine, SoVRMLIndexedLineSet, SoVRMLIndexedShape, SoVRMLPointSet, SoVRMLSphere, SoVRMLText, SoVRMLVertexLine, SoVRMLVertexPoint, and SoVRMLVertexShape.

  void SoVRMLGeometry::initClass (void) [static]

  void SoVRMLGeometry::search (SoSearchAction * action) [virtual]
Action method for SoSearchAction.

Compares the search criteria from the action to see if this node is a match. Searching is done by matching up all criteria set up in the SoSearchAction -- if any of the requested criteria is a miss, the search is not deemed successful for the node.

See also
    SoSearchAction

Reimplemented from SoNode.

  void SoVRMLGeometry::copyContents (const SoFieldContainer * from, SbBool copyconnections) [virtual]
Makes a deep copy of all data of from into this instance, except external scene graph references if copyconnections is FALSE.

This is the method that should be overridden by extension node / engine / dragger / whatever subclasses which need to account for internal data that are not handled automatically.

For copying nodes from application code, you should not invoke this function directly, but rather call the SoNode::copy() function:

SoNode * mynewnode = templatenode->copy();

The same also goes for engines.

Make sure that when you override the copyContents() method in your extension class that you also make it call upwards to its parent superclass in the inheritance hierarchy, as copyContents() in for instance SoNode and SoFieldContainer does important work. It should go something like this:

void
MyCoinExtensionNode::copyContents(const SoFieldContainer * from,
                                  SbBool copyconnections)
{
  // let parent superclasses do their thing (copy fields, copy
  // instance name, etc.)
  SoNode::copyContents(from, copyconnections);
  // [..then copy internal data..]
}

Reimplemented from SoNode.

  void SoVRMLGeometry::setupShapeHints (SoState * state, const SbBool ccw, const SbBool solid) [protected]
Convenience method that updates the shape hints element.

  SbBool SoVRMLGeometry::shouldGLRender (SoGLRenderAction * action) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoShape.

Reimplemented in SoVRMLVertexLine, SoVRMLVertexPoint, and SoVRMLVertexShape.

  SoChildList * SoVRMLGeometry::getChildren (void) const [protected], [virtual]
Returns list of children for this node.

Reimplemented from SoNode.

Reimplemented in SoVRMLText.

  void SoVRMLGeometry::notify (SoNotList * l) [protected], [virtual]
Notifies all auditors for this instance when changes are made.

Reimplemented from SoShape.

Reimplemented in SoVRMLElevationGrid, SoVRMLExtrusion, SoVRMLIndexedLine, SoVRMLIndexedLineSet, SoVRMLIndexedShape, SoVRMLText, SoVRMLVertexLine, SoVRMLVertexPoint, and SoVRMLVertexShape.

Author

Generated automatically by Doxygen for Coin from the source code.